Bug 126304 - JDK_TOOLS not always registered as classpath variable
Summary: JDK_TOOLS not always registered as classpath variable
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: Lomboz (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Handcock
QA Contact: eclipse-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-18 18:51 UTC by Jeremy Handcock
Modified: 2007-04-18 17:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 23:20:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:365 high SHIPPED_LIVE Updated eclipse packages 2004-09-02 04:00:00 UTC

Description Jeremy Handcock 2004-06-18 18:51:22 UTC
Description of problem: Lomboz requires tools.jar from a JDK around,
and Lomboz projects expect the path to it to be registered as the
JDK_TOOLS classpath variable.  The path is currently only registered
when the Lomboz preferences are modified.


Version-Release number of selected component (if applicable):
eclipse-lomboz-2.1.2-6


How reproducible: Always.


Steps to Reproduce:
1. Launch eclipse with a new workspace, and don't touch the Lomboz
preferences.
2. Create a new J2EE project.
  
Actual results: JDK_TOOLS classpath variable is unbound and J2EE
projects do not build properly.

Additional info: I'll put together a patch for this that I'll pass
upstream as well.

Comment 1 Jeremy Handcock 2004-06-18 23:20:27 UTC
I just checked in a patch for this that registers the classpath
variable at plug-in initialization.  I'll send it to ObjectWeb as well.

Comment 2 Jay Turner 2004-09-02 05:32:33 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-365.html



Note You need to log in before you can comment on or make changes to this bug.